<?php

namespace NL\NlMenubuilder\ViewHelpers\Widget\Controller;

use NL\NlMenubuilder\Domain\Model\Menu;
use NL\NlMenubuilder\Domain\Repository\MenuRepository;
use TYPO3\CMS\Fluid\Core\Widget\AbstractWidgetController;

class ShowController extends AbstractWidgetController
{
    /**
     * Model object instance of root menu.
     *
     * @var Menu
     */
    protected $menu;

    /**
     * Menu group template.
     *
     * @var string
     */
    protected $template;

    /**
     * @var MenuRepository
     */
    protected $menuRepository;

    /**
     * Inject menu repository
     *
     * @param MenuRepository $controller
     */
    public function injectMenuRepository(MenuRepository $menuRepository)
    {
        $this->menuRepository = $menuRepository;
    }

    /**
     * Main action
     */
    public function indexAction()
    {
        $this->view->assign('menu', $this->menu);

        return $this->view->render($this->template);
    }

    /**
     * @return array
     */
    public function initializeAction()
    {
        $uuid = $this->widgetConfiguration['uuid'] ?? 0;
        $menu = $this->menuRepository->findByUid($uuid);

        if (!is_null($menu)) {
            $this->menu = $menu;
            $this->template = $this->menu->getMenuGroup()->getTemplate();
        }
    }
}
